-- CreateTable
CREATE TABLE "calendar" (
    "id" TEXT NOT NULL,
    "title" TEXT NOT NULL,
    "information" TEXT NOT NULL,
    "date" TEXT NOT NULL,
    "created_at" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,

    CONSTRAINT "calendar_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "message" (
    "id" TEXT NOT NULL,
    "message" TEXT NOT NULL,
    "created_at" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "forum_id" TEXT NOT NULL,

    CONSTRAINT "message_pkey" PRIMARY KEY ("id")
);

-- CreateIndex
CREATE UNIQUE INDEX "calendar_id_key" ON "calendar"("id");

-- CreateIndex
CREATE UNIQUE INDEX "message_id_key" ON "message"("id");

-- AddForeignKey
ALTER TABLE "message" ADD CONSTRAINT "message_forum_id_fkey" FOREIGN KEY ("forum_id") REFERENCES "foruns"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
