**Setup .env environments**

Abra o arquirvo .env.example e copie e cole na pasta root do project
   

    .env.example



**How to run**

Execute esse comando no diretório raiz do projeto
   

     docker-compose up

**Check if it is everything run correctly**

Dentro do projeto root, existe uma pasta chamada "scripts", nela esta contido a iniciacao da conexao do banco, migrations e posteriormente o povuamento

   

    import child_process from 'child_process';
    import util from 'util';

    const execFile = util.promisify(child_process.execFile);
    async function main() {
        console.log((await execFile('yarn')).stdout);
        console.log((await execFile('yarn', ['prisma', 'generate'])).stdout);
        console.log((await execFile('yarn', ['prisma', 'migrate', 'dev'])).stdout);
        console.log((await execFile('yarn', ['dev'])).stdout);
    }
    main();