import { Curser } from "@prisma/client";
import { ICreateCurserDTO } from "../dtos/ICreateCurserDTO";

interface ICursersRepository {
    create({title, information}: ICreateCurserDTO): Promise<Curser>
    findById(id: string): Promise<Curser>
    findByTitle(title: string): Promise<Curser>
    findAllCursers(): Promise<Curser[]>
    deleteCurser(id: string): Promise<Boolean>
}

export {ICursersRepository}